import { OnInit, EventEmitter } from '@angular/core';
export declare class AngularIoPagerComponent implements OnInit {
    pageGap: number;
    id: number;
    noOfPages: number;
    totalRecords: number;
    pageClick: EventEmitter<object>;
    from: number;
    to: number;
    pageLength: number;
    currentPage: number;
    pages: number[];
    pageNum: number[];
    showLeftNav: boolean;
    showRightNav: boolean;
    totalPageLength: number;
    leftNavString: string;
    rightNavString: string;
    lastPageMax: number;
    lastPageMin: number;
    _total: number;
    constructor();
    ngOnInit(): void;
    pagePreparation(): void;
    reCalculatePageNumbers(): void;
    populatePages(start: number): void;
    pageLengthChange(): void;
    pageChange(e: any): void;
    setSelectedPage(el?: HTMLElement): void;
    setPrevNextNav(): void;
    emitPageClick(): void;
}
